const server_config = {

    /*
     * The type of environment the application is running in.
     * Usually, either "production" or "development".
     * Development mode may cause the application to output extra
     * debugging information not secure enough for production.
     */
    environment: env("ENVIRONMENT", "production"),

    logging: {

        /*
         * The logging level. Usually, 1-4.
         * The higher the level, the more information is logged.
         */
        level: env("LOGGING_LEVEL", 1)
    },

}

module.exports = server_config
